Bug 458564 - Xorg doesn't honour keyboard mappings after setup
Xorg doesn't honour keyboard mappings after setup
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-keyboard (Show other bugs)
10
All Linux
medium Severity high
: ---
: ---
Assigned To: Peter Hutterer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-09 20:50 EDT by Nigel Jones
Modified: 2018-04-11 03:16 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-31 16:19:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nigel Jones 2008-08-09 20:50:57 EDT
Description of problem:
After using the KDE LiveCD to install Fedora 10 Alpha on my system, choosing Dvorak as my perfered keymap, I'm somewhat baffled at the fact that when XOrg initially starts with system boot (to display the first boot wizard) the keymap is set to dvorak, but when the wizard finishes I'm landed with qwerty.

Personally I'd to claim that it's an anti-dvorak consiparcy but I don't think it is :).

setxkbmap dvorak sends me on my way, but it is annoying.

Version-Release number of selected component (if applicable):
xorg-x11-server-common-1.4.99.905-2.20080701.fc10.x86_64
firstboot-1.98-1.fc10.x86_64

How reproducible:
Unsure, I'd assume 100%

Steps to Reproduce:
1. Download Fedora 10 Alpha (x86_64 KDE) Live CD)
2. Install to disk, selecting dvorak
3. Get annoyed when KDM denies your password before X has set your keyboard to qwerty
  
Actual results:
An old archaic keyboard layout called QWERTY (because they couldn't think of anything else)

Expected results:
Dr Dvorak's easy to use keyboard layout.

Additional info:

Setting to High as this is sure to baffle users that use dvorak but don't really know the inner workings of Linux...
Comment 1 Nigel Jones 2008-09-03 00:19:43 EDT
(In reply to comment #0)
> How reproducible:
> Unsure, I'd assume 100%
> 
> Steps to Reproduce:
> 1. Download Fedora 10 Alpha (x86_64 KDE) Live CD)
> 2. Install to disk, selecting dvorak
> 3. Get annoyed when KDM denies your password before X has set your keyboard to
> qwerty
Just an FYI, I've also managed to reproduce it with the i686 GNOME Live CD.
Comment 2 Peter Hutterer 2008-09-08 16:13:36 EDT
I'm pretty sure this is caused by the HAL keymap defaults, which should be fixed with 906-5 and later.
Comment 3 Peter Hutterer 2008-09-15 20:24:48 EDT
Nigel:

Have you tried a more recent version of F10, one that includes xorg-x11-server-Xorg 1.5.0?
Comment 4 Nigel Jones 2008-09-27 02:31:28 EDT
(In reply to comment #3)
> Nigel:
> 
> Have you tried a more recent version of F10, one that includes
> xorg-x11-server-Xorg 1.5.0?

Hi,

As I don't really have enough bandwidth to create a new LiveCD of the current state of rawhide to test this, no I have not, however, when the LiveCDs come out for F10 Beta I will definately test it.
Comment 5 Nigel Jones 2008-09-27 02:32:16 EDT
Err setting NEEDINFO back to myself
Comment 6 Matěj Cepl 2008-10-23 06:08:18 EDT
Reporter, could you please reply to the previous question? If you won't reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.
Comment 7 Nigel Jones 2008-10-23 06:31:19 EDT
(In reply to comment #6)
> Reporter, could you please reply to the previous question? If you won't reply
> in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

Sorry, been delayed in getting my hands on a live image, as it happens I'm downloading them now, I should have an answer in a couple of days.
Comment 8 Matěj Cepl 2008-11-24 04:27:59 EST
(In reply to comment #7)
> I should have an answer in a couple of days.

ping
Comment 9 Bug Zapper 2008-11-25 21:43:27 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Matěj Cepl 2009-01-31 16:19:59 EST
Since there are insufficient details provided in this report for us to investigate the issue further, and we have not received feedback to the information we have requested above, we will assume the problem was not reproducible, or has been fixed in one of the updates we have released for the reporter's distribution.

Users who have experienced this problem are encouraged to upgrade to the latest update of their distribution, and if this issue turns out to still be reproducible in the latest update, please reopen this bug with additional information.

Closing as INSUFFICIENT_DATA.

Note You need to log in before you can comment on or make changes to this bug.